Bug 243244 - biology/hmmer: Update to 3.3
Summary: biology/hmmer: Update to 3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-10 12:39 UTC by Motomichi Matsuzaki
Modified: 2020-01-29 05:58 UTC (History)
2 users (show)

See Also:
mzaki: maintainer-feedback+


Attachments
svn diff for biology/hmmer to 3.3 (2.44 KB, patch)
2020-01-10 12:39 UTC, Motomichi Matsuzaki
no flags Details | Diff
svn diff for biology/hmmer to 3.3 (revised) (3.42 KB, patch)
2020-01-27 09:54 UTC, Motomichi Matsuzaki
mzaki: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Motomichi Matsuzaki 2020-01-10 12:39:05 UTC
Created attachment 210592 [details]
svn diff for biology/hmmer to 3.3

Update biology/hmmer to 3.3

*improved hmmpgmd search daemon
*'make test' now requires python3

please note that the MAINTAINER mail address is modified.

The port passed poudriere testport in my environment (11.3 amd64/i386).
Comment 1 Automation User 2020-01-10 12:49:06 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/108390314
Comment 2 Motomichi Matsuzaki 2020-01-27 09:54:59 UTC
Created attachment 211099 [details]
svn diff for biology/hmmer to 3.3 (revised)

a revised patch to pass "make test" in 13-CURRENT
(the same problem shown in bug# 243247)
Comment 3 commit-hook freebsd_committer 2020-01-29 05:56:14 UTC
A commit references this bug:

Author: fernape
Date: Wed Jan 29 05:55:13 UTC 2020
New revision: 524533
URL: https://svnweb.freebsd.org/changeset/ports/524533

Log:
  biology/hmmer: update to 3.3

  PR:	243244
  Submitted by:	mzaki@e-mail.ne.jp (maintainer)

Changes:
  head/biology/hmmer/Makefile
  head/biology/hmmer/distinfo
  head/biology/hmmer/files/
  head/biology/hmmer/files/patch-src_hmmc2.c
  head/biology/hmmer/pkg-plist
Comment 4 Fernando Apesteguía freebsd_committer 2020-01-29 05:58:36 UTC
Committed,

Thanks!